Bug 80734 - [NEW PORT] net/amule2 (aMule 2.0.0)
Summary: [NEW PORT] net/amule2 (aMule 2.0.0)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Khon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-07 16:50 UTC by ganael.laplanche
Modified: 2005-05-17 11:42 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ganael.laplanche 2005-05-07 16:50:07 UTC
	This port is designed to manage the brand-new stable version 2 of aMule, currently aMule 2.0.0.
Changes : now linked to wxgtk2-unicode-devel, will switch to wxgtk2-unicode when 2.6 is out. amule-ed2k
is now just called ed2k, no more renaming is performed. Finally, this port is for FreeBSD 5.x only, it won't
compile anymore on 4.x. Note : french manpages are incomplete and managed manually, don't be surprised... !

Fix: --------------- shar starts here ---------------


--------------- shar ends here -----------------N14UNTKq1FwdtqiZwTQ0X1bZT0lM6btWw87HsulHQX4JUGLK
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	amule2
#	amule2/Makefile
#	amule2/distinfo
#	amule2/pkg-descr
#	amule2/pkg-plist
#	amule2/files
#	amule2/files/patch-amuleDlg.cpp
#	amule2/files/amuled.sh
#	amule2/Makefile.man
#
echo c - amule2
mkdir -p amule2 > /dev/null 2>&1
echo x - amule2/Makefile
sed 's/^X//' >amule2/Makefile << 'END-of-amule2/Makefile'
X# New ports collection makefile for:	amule2
X# Date created:		Wed Nov 05 09:30:00 UTC 2003
X# Whom:			Ganael LAPLANCHE <ganael.laplanche@martymac.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	aMule
XPORTVERSION=	2.0.0
XCATEGORIES=	net
XMASTER_SITES=	http://download.berlios.de/amule/
X
XMAINTAINER=	ganael.laplanche@martymac.com
XCOMMENT=	The all-platform eMule p2p client
X
XLIB_DEPENDS=	wx_gtk2u_core-2.5.3:${PORTSDIR}/x11-toolkits/wxgtk2-unicode-devel \
X		curl.3:${PORTSDIR}/ftp/curl \
X		execinfo.1:${PORTSDIR}/devel/libexecinfo
X#		gd.4:${PORTSDIR}/graphics/gd
X#		png.5:${PORTSDIR}/graphics/png
X
XLATEST_LINK=	aMule2
XCONFLICTS=	aMule-1.* aMule-devel-[0-9]*
X
XUSE_X_PREFIX=	yes
XUSE_GNOME=	gnomehier gnomehack gnomeprefix
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
XCONFIGURE_TARGET=--build=${MACHINE_ARCH}-portbld-freebsd${OSREL}
XCONFIGURE_ARGS=	--disable-debug \
X		--without-included-gettext \
X		--with-libintl-prefix=${LOCALBASE} \
X		--with-libiconv-prefix=${LOCALBASE} \
X		--with-wx-config=${WX_CONFIG} \
X		--with-wxbase-config=${WX_CONFIG} \
X		--with-curl-config=${CURL_CONFIG} \
X		--enable-embedded_crypto \
X		--enable-utf8-systray \
X		--enable-monolithic
X#		--with-gdlib-prefix=${LOCALBASE} \
X#		--with-libpng-prefix=${LOCALBASE}
X
XCONFIGURE_ENV=	CPPFLAGS="${CPPFLAGS} -I${LOCALBASE}/include ${PTHREAD_CFLAGS}" \
X		LDFLAGS="${LDFLAGS} -L${LOCALBASE}/lib ${PTHREAD_LIBS}"
X
XOPTIONS=	OPTIMIZE "Build with optimization" on \
X		ED2K "Compile aMule ed2k links handler" on \
X		AMULECMD "Compile aMule command line client (+GUI)" on \
X		AMULEWEBSRV "Compile aMule WebServer (+GUI)" on \
X		CAS "Compile C aMule Statistics (+GUI)" on \
X		ALC "Compile aMule Link Creator (+GUI)" on \
X		AMULEDAEMON "Compile aMule daemon version - EXPERIMENTAL" off
X
XWX_CONFIG?=	${X11BASE}/bin/wxgtk2u-2.5-config
XCURL_CONFIG?=	${LOCALBASE}/bin/curl-config
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 500000
XBROKEN=		"Won't compile on FreeBSD 4.x - See net/amule1 for 4.x compatibility."
X.endif
X
X# Configure options
X.if defined(WITH_OPTIMIZE)
XCONFIGURE_ARGS+=	--enable-optimize
X.else
XCONFIGURE_ARGS+=	--disable-optimize
X.endif
X
X.if defined(WITH_ED2K)
XCONFIGURE_ARGS+=	--enable-ed2k
XPLIST_SUB+=		PL_ED2K=""
X.else
XCONFIGURE_ARGS+=	--disable-ed2k
XPLIST_SUB+=		PL_ED2K="@comment "
X.endif
X
X.if defined(WITH_AMULECMD)
XCONFIGURE_ARGS+=	--enable-amulecmd --enable-amulecmdgui
XPLIST_SUB+=		PL_AMULECMD=""
X.else
XCONFIGURE_ARGS+=	--disable-amulecmd --disable-amulecmdgui
XPLIST_SUB+=		PL_AMULECMD="@comment "
X.endif
X
X.if defined(WITH_AMULEWEBSRV)
XCONFIGURE_ARGS+=	--enable-webserver --enable-webservergui
XPLIST_SUB+=		PL_AMULEWEBSRV=""
X.else
XCONFIGURE_ARGS+=	--disable-webserver --disable-webservergui
XPLIST_SUB+=		PL_AMULEWEBSRV="@comment "
X.endif
X
X.if defined(WITH_CAS)
XCONFIGURE_ARGS+=	--enable-cas --enable-wxcas
XPLIST_SUB+=		PL_CAS=""
X.else
XCONFIGURE_ARGS+=	--disable-cas --disable-wxcas
XPLIST_SUB+=		PL_CAS="@comment "
X.endif
X
X.if defined(WITH_ALC)
XCONFIGURE_ARGS+=	--enable-alc --enable-alcc
XPLIST_SUB+=		PL_ALC=""
X.else
XCONFIGURE_ARGS+=	--disable-alc --disable-alcc
XPLIST_SUB+=		PL_ALC="@comment "
X.endif
X
X.if defined(WITH_AMULEDAEMON)
XCONFIGURE_ARGS+=	--enable-amule-daemon --enable-amule-gui
XPLIST_SUB+=		PL_AMULEDAEMON=""
XUSE_RC_SUBR=		yes
XRCSCRIPT=		${PREFIX}/etc/rc.d/amuled.sh
X.else
XCONFIGURE_ARGS+=	--disable-amule-daemon --disable-amule-gui
XPLIST_SUB+=		PL_AMULEDAEMON="@comment "
X.endif
X
X# Man pages management
X.include "Makefile.man"
X
X# Copy startup script if needed (amuledaemon compiled)
Xpost-install:
X.if defined(WITH_AMULEDAEMON)
X	${ECHO} "Installing ${RCSCRIPT} startup file."
X	${INSTALL_SCRIPT} ${FILESDIR}/amuled.sh ${RCSCRIPT}
X.endif
X
X# fr manpages are still incomplete and can't be managed
X# by MANLANG. Will be done when pages are complete.
X	${GZIP_CMD} ${PREFIX}/man/fr/man1/amulecmd.1
X	${GZIP_CMD} ${PREFIX}/man/fr/man1/amuleweb.1
X	${GZIP_CMD} ${PREFIX}/man/fr/man1/amule.1
X	${GZIP_CMD} ${PREFIX}/man/fr/man1/amuled.1
X	${GZIP_CMD} ${PREFIX}/man/fr/man1/ed2k.1
X	${GZIP_CMD} ${PREFIX}/man/fr/man1/alcc.1
X	${RM} ${PREFIX}/man/fr/man1/amulecmdDLG.1
X	${LN} ${PREFIX}/man/fr/man1/amulecmd.1.gz ${PREFIX}/man/fr/man1/amulecmdDLG.1.gz
X	${RM} ${PREFIX}/man/fr/man1/amulewebDLG.1
X	${LN} ${PREFIX}/man/fr/man1/amuleweb.1.gz ${PREFIX}/man/fr/man1/amulewebDLG.1.gz
X
X.include <bsd.port.post.mk>
END-of-amule2/Makefile
echo x - amule2/distinfo
sed 's/^X//' >amule2/distinfo << 'END-of-amule2/distinfo'
XMD5 (aMule-2.0.0.tar.gz) = e6680641e171ddf4236c955168947ba0
XSIZE (aMule-2.0.0.tar.gz) = 3020088
END-of-amule2/distinfo
echo x - amule2/pkg-descr
sed 's/^X//' >amule2/pkg-descr << 'END-of-amule2/pkg-descr'
XaMule, the all-platform eMule p2p client
X
XaMule is a multiplatform fork of xMule
Xclient using wxWindows class library.
X
XWWW: http://www.amule.org
END-of-amule2/pkg-descr
echo x - amule2/pkg-plist
sed 's/^X//' >amule2/pkg-plist << 'END-of-amule2/pkg-plist'
X%%PL_AMULEDAEMON%%@unexec %D/etc/rc.d/amuled.sh stop > /dev/null 2>&1 || true
X%%PL_AMULEDAEMON%%etc/rc.d/amuled.sh
Xman/fr/man1/amulecmd.1.gz
Xman/fr/man1/amuleweb.1.gz
Xman/fr/man1/amule.1.gz
Xman/fr/man1/amuled.1.gz
Xman/fr/man1/ed2k.1.gz
Xman/fr/man1/amulecmdDLG.1.gz
Xman/fr/man1/amulewebDLG.1.gz
Xman/fr/man1/alcc.1.gz
Xshare/locale/en_GB/LC_MESSAGES/amule.mo
Xshare/locale/en_US/LC_MESSAGES/amule.mo
Xshare/locale/es/LC_MESSAGES/amule.mo
Xshare/locale/de/LC_MESSAGES/amule.mo
Xshare/locale/fr/LC_MESSAGES/amule.mo
Xshare/locale/it/LC_MESSAGES/amule.mo
Xshare/locale/ko/LC_MESSAGES/amule.mo
Xshare/locale/pl/LC_MESSAGES/amule.mo
Xshare/locale/et_EE/LC_MESSAGES/amule.mo
Xshare/locale/ru/LC_MESSAGES/amule.mo
Xshare/locale/bg/LC_MESSAGES/amule.mo
Xshare/locale/es_MX/LC_MESSAGES/amule.mo
Xshare/locale/pt_BR/LC_MESSAGES/amule.mo
Xshare/locale/gl/LC_MESSAGES/amule.mo
Xshare/locale/eu/LC_MESSAGES/amule.mo
Xshare/locale/nl/LC_MESSAGES/amule.mo
Xshare/locale/ar/LC_MESSAGES/amule.mo
Xshare/locale/fi/LC_MESSAGES/amule.mo
Xshare/locale/zh_CN/LC_MESSAGES/amule.mo
Xshare/locale/zh_TW/LC_MESSAGES/amule.mo
Xshare/locale/da/LC_MESSAGES/amule.mo
Xshare/locale/hu/LC_MESSAGES/amule.mo
Xshare/locale/ca/LC_MESSAGES/amule.mo
Xshare/locale/it_CH/LC_MESSAGES/amule.mo
Xshare/locale/pt_PT/LC_MESSAGES/amule.mo
Xshare/locale/hr/LC_MESSAGES/amule.mo
Xshare/locale/sl/LC_MESSAGES/amule.mo
Xshare/gnome/doc/aMule-2.0.0/ABOUT-NLS
Xshare/gnome/doc/aMule-2.0.0/amulesig.txt
Xshare/gnome/doc/aMule-2.0.0/amule-win32.HOWTO.txt
Xshare/gnome/doc/aMule-2.0.0/Changelog
Xshare/gnome/doc/aMule-2.0.0/Doxyfile
Xshare/gnome/doc/aMule-2.0.0/ED2K-Links.HOWTO
Xshare/gnome/doc/aMule-2.0.0/INSTALL
Xshare/gnome/doc/aMule-2.0.0/license.txt
Xshare/gnome/doc/aMule-2.0.0/README
Xshare/gnome/doc/aMule-2.0.0/TODO
Xshare/gnome/doc/aMule-2.0.0/EC_Protocol.txt
Xshare/gnome/doc/aMule-2.0.0/socks4.protocol
X@unexec rmdir %D/share/gnome/doc/aMule-2.0.0 2>/dev/null || true
X@unexec rmdir %D/share/gnome/doc 2>/dev/null || true
X%%PL_CAS%%share/gnome/cas/tmp.html
X%%PL_CAS%%share/gnome/cas/stat.png
X%%PL_CAS%%@unexec rmdir %D/share/gnome/cas 2>/dev/null || true
X%%PL_CAS%%share/gnome/pixmaps/wxcas.xpm
X%%PL_ALC%%share/gnome/pixmaps/alc.xpm
Xshare/gnome/pixmaps/amule.xpm
X@unexec rmdir %D/share/gnome/pixmaps 2>/dev/null || true
X%%PL_CAS%%share/gnome/applications/wxcas.desktop
X%%PL_ALC%%share/gnome/applications/alc.desktop
Xshare/gnome/applications/amule.desktop
X@unexec rmdir %D/share/gnome/applications 2>/dev/null || true
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/aMule.tmpl
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/add_server.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/arrow_down.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/arrow_right.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/arrow_up.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/back.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/black.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/blue1.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/blue2.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/blue3.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/blue4.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/blue5.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/blue6.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/blue.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/cp_download.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/cp_kad.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/cp_search.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/cp_servers.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/cp_settings.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/cp_shared.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/cp_stats.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/emule.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/green.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/greenpercent.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/l_cancel.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/l_connect.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/l_down.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/l_ed2klink.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/l_info.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/log.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/logo.jpg
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/l_pause.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/l_resume.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/l_up.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/main_bg.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/main_top_bg.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/red.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/top_bar_bg2.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/top_bar_bg.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/transparent.gif
X%%PL_AMULEWEBSRV%%share/gnome/amule/webserver/default/yellow.gif
X%%PL_AMULEWEBSRV%%@unexec rmdir %D/share/gnome/amule/webserver/default 2>/dev/null || true
X%%PL_AMULEWEBSRV%%@unexec rmdir %D/share/gnome/amule/webserver 2>/dev/null || true
X%%PL_AMULEWEBSRV%%@unexec rmdir %D/share/gnome/amule 2>/dev/null || true
Xlib/xchat/plugins/xas.pl
X@unexec rmdir %D/lib/xchat/plugins 2>/dev/null || true
X@unexec rmdir %D/lib/xchat 2>/dev/null || true
X%%PL_CAS%%bin/cas
X%%PL_CAS%%bin/wxcas
X%%PL_ALC%%bin/alc
X%%PL_ALC%%bin/alcc
X%%PL_AMULEWEBSRV%%bin/amuleweb
X%%PL_AMULEWEBSRV%%bin/amulewebDLG
X%%PL_AMULECMD%%bin/amulecmd
X%%PL_AMULECMD%%bin/amulecmdDLG
X%%PL_ED2K%%bin/ed2k
X%%PL_AMULEDAEMON%%bin/amulegui
X%%PL_AMULEDAEMON%%bin/amuled
Xbin/amule
END-of-amule2/pkg-plist
echo c - amule2/files
mkdir -p amule2/files > /dev/null 2>&1
echo x - amule2/files/patch-amuleDlg.cpp
sed 's/^X//' >amule2/files/patch-amuleDlg.cpp << 'END-of-amule2/files/patch-amuleDlg.cpp'
X--- src/amuleDlg.cpp.orig	Tue May  3 20:37:09 2005
X+++ src/amuleDlg.cpp	Tue May  3 20:39:53 2005
X@@ -502,9 +502,9 @@
X {
X 	wxString msg = wxT(" ");
X #ifdef CLIENT_GUI
X-	msg << _("aMule remote control ") << wxT(VERSION);
X+	msg << _("aMule remote control ") << wxT(VERSION) << wxT(" for FreeBSD");
X #else
X-	msg << wxT("aMule ") << wxT(VERSION);
X+	msg << wxT("aMule ") << wxT(VERSION) << wxT(" for FreeBSD");
X #endif
X 	msg << wxT(" ");
X #ifdef CVSDATE
X@@ -514,7 +514,8 @@
X 		" 'All-Platform' p2p client based on eMule \n\n"
X 		" Website: http://www.amule.org \n"
X 		" Forum: http://forum.amule.org \n"
X-		" FAQ: http://wiki.amule.org \n\n"
X+		" FAQ: http://wiki.amule.org \n"
X+		" FreeBSD port: http://contribs.martymac.com \n\n"
X 		" Contact: admin@amule.org (administrative issues) \n"
X 		" Copyright (C) 2003-2005 aMule Team \n");
X 	if (is_safe_state) {
END-of-amule2/files/patch-amuleDlg.cpp
echo x - amule2/files/amuled.sh
sed 's/^X//' >amule2/files/amuled.sh << 'END-of-amule2/files/amuled.sh'
X#!/bin/sh
X#
X# aMule RCng startup script
X# Ogirinal work from Gabriele Cecchetti (amule.org forum)
X# Modified by Ganaël LAPLANCHE (ganael.laplanche@martymac.com)
X# 
X
X# PROVIDE: amuled
X# REQUIRE: NETWORKING SERVERS
X# BEFORE: DAEMON
X# KEYWORD: FreeBSD shutdown
X
X#
X# Add the following lines to /etc/rc.conf to enable amuled at startup
X# amuled (bool): Set to "NO" by default.
X#                Set it to "YES" to enable amuled
X# amuled_user (str): Set to user running amuled
X#                    (default 'aMule')
X# amuled_home (str): Set to home directory of user running amuled
X#                    (default /home/${amuled_user})
X#
X. /etc/rc.subr
X
Xname="amuled"
Xrcvar=`set_rcvar`
X
Xload_rc_config $name
X
X[ -z "$amuled_enable" ] && amuled_enable="NO"
X[ -z "$amuled_user" ] && amuled_user="aMule"
X[ -z "$amuled_home" ] && amuled_home="/home/${amuled_user}"
X
Xrequired_dirs=${amuled_home}
Xrequired_files="${amuled_home}/.aMule/amule.conf"
X
Xstart_cmd="${name}_start"
Xstop_cmd="${name}_stop"
X
Xamuled_start()
X{
X        if [ ! -f /var/run/${name}.run ]
X        then
X          su -l ${amuled_user} -c "amuled &" 2>>/var/log/${name}.log >>/var/log/${name}.log && touch /var/run/${name}.run
X          echo "Started ${name}."
X          echo `date` : "Started ${name}." >> /var/log/${name}.log
X        else
X          echo "${name} seems to be already running -- remove /var/run/${name}.run manually if needed."
X        fi
X}
X
Xamuled_stop()
X{
X        if [ -f /var/run/${name}.run ]
X        then
X          # The following line is much better, but doesn't stop totally amuled
X          # su -l ${amuled_user} -c "amulecmd -c Shutdown" 2>>/var/log/${name}.log >>/var/log/${name}.log
X          # Since amuled catches SIGTERM, this way is preferred for now
X          killall -TERM amuled 2>>/var/log/${name}.log >>/var/log/${name}.log ; sleep 3
X          killall -KILL amuled 2>>/var/log/${name}.log >>/var/log/${name}.log
X          # Also kill amuleweb if needed
X          killall -KILL amuleweb 2>/dev/null >/dev/null
X          rm -f /var/run/${name}.run
X          echo "Stopped ${name}."
X          echo `date` : "Stopped ${name}." >> /var/log/${name}.log
X        else
X          echo "${name} doesn't seem to be running -- create /var/run/${name}.run if needed."
X        fi
X}
X
Xrun_rc_command "$1"
END-of-amule2/files/amuled.sh
echo x - amule2/Makefile.man
sed 's/^X//' >amule2/Makefile.man << 'END-of-amule2/Makefile.man'
X# TODO : Add fr here when pages are complete
XMANLANG=	"" de es hu
XMANCOMPRESSED=	no
XMLINKS=	amulecmd.1 amulecmdDLG.1 amuleweb.1 amulewebDLG.1
XMAN1+=	amulecmd.1
XMAN1+=	amuleweb.1
XMAN1+=	amule.1
XMAN1+=	amuled.1
XMAN1+=	ed2k.1
XMAN1+=	xas.1
XMAN1+=	cas.1
XMAN1+=	wxcas.1
XMAN1+=	alc.1
XMAN1+=	alcc.1
END-of-amule2/Makefile.man
exit
Comment 1 Sergey Matveychuk freebsd_committer 2005-05-16 14:03:05 UTC
We already have net/amule-devel port. What's wrong with it?

-- 
Sem.
Comment 2 Max Khon freebsd_committer 2005-05-17 09:50:35 UTC
State Changed
From-To: open->repocopy

Please repo-copy net/amule-devel to net/amule2 


Comment 3 Max Khon freebsd_committer 2005-05-17 09:50:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Please repo-copy net/amule-devel to net/amule2
Comment 4 Max Khon freebsd_committer 2005-05-17 11:28:41 UTC
State Changed
From-To: repocopy->open

MAINTAINER noticed that repo-copy is not necessary. 


Comment 5 Max Khon freebsd_committer 2005-05-17 11:28:41 UTC
Responsible Changed
From-To: portmgr->fjoe

MAINTAINER noticed that repo-copy is not necessary.
Comment 6 Max Khon freebsd_committer 2005-05-17 11:42:02 UTC
State Changed
From-To: open->closed

Committed, thanks!